API ReferenceOrganisation Management
Set organisation custom configuration (Admin only)
Set custom configuration for an organisation. Admin access required.
POST
/v1/organisation-management/{id}/custom-configAuthorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Organisation ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/organisation-management/string/custom-config" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "id": "org_cjld2cjxh0000qzrmn831i7rn", "hasCustomAccessLevel": true, "message": "Organisation custom configuration updated successfully" }}